package com.norconex.blog.facebook.crawler;

import org.apache.commons.lang3.StringUtils;

/**
 * @author Pascal Essiembre
 *
 */
public final class FacebookUtils {

    private FacebookUtils() {
    }

    public static boolean isPosts(String reference) {
        if (StringUtils.isBlank(reference)) {
            return false;
        }
        return reference.matches(
                "^https://graph.facebook.com/v[\\d+].[\\d+]/.*?/posts\\W.*");
    }
}
